a=input("inserisci un intero positivo per il lato a: ")
b=input("inserisci un intero positivo per il lato b: ")
c=input("inserisci un intero positivo per il lato c: ")

dati_corretti=a.isdecimal() and b.isdecimal() and c.isdecimal()

if not dati_corretti:
    print("I dati inseriti contengono un errore")
    print(a,b,c)
else:
    a=int(a)
    b=int(b)
    c=int(c)
    if a+b>c and a+c>b and b+c>a: #La somma di due lati è sempre maggiore del terzo
        if a==b and b==c: #I tre lati sono tutti uguali
            print ("Equilatero")
        elif a==b or a==c or b==c: #Almeno due lati sono uguali
            print("Isoscele")
        else:
            print("Scaleno")
    else: #Un lato è più lungo o uguale alla somma degli altri 2
        print("I tre interi non corrispondono a un triangolo valido")
          
